import { OnInit, OnDestroy, AfterContentInit } from '@angular/core';
import { UxDynFormModelArray, UxDynFormArrayParentData, UxDynFormModel, VbModeConfig } from '../shared/model/ux-dyn-core.model';
import { FormGroup, FormArray } from '@angular/forms';
import { DynGenericService } from '../shared/services/dyn-generic.service';
import { DynMetaDataService } from '../shared/services/dyn-meta-data.service';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
export declare class UxDynContainerComponent implements OnInit, OnDestroy, AfterContentInit {
    private dynGenericService;
    private dynMetaDataService;
    formConfig: UxDynFormModelArray;
    frameId: string;
    parent: FormGroup | FormArray;
    parentData: UxDynFormArrayParentData;
    renderAllArray: boolean;
    arrayField: any;
    vbMode: VbModeConfig;
    metaDataDropList: any[];
    metaDataIndex: string;
    private dynFormApi?;
    private metaDataPath?;
    constructor(dynGenericService: DynGenericService, dynMetaDataService: DynMetaDataService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    checkIfIsAll(): void;
    drop(event: CdkDragDrop<UxDynFormModel>): void;
    updateMetaData(newConf: UxDynFormModel): void;
}
